## xss-lock 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(xss-lock C)
set(PROJECT_VERSION 0.3.0)

install(FILES NEWS DESTINATION share/doc/${PROJECT_NAME})

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(completion)

=== doc/CMakeLists.txt ===
configure_file(xss-lock.1.rst.in xss-lock.1.rst)

find_program(rst2man NAMES rst2man rst2man.py rst2man2 rst2man2.py)
if(rst2man)
    set(man_input "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1.rst")
    set(man_output "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1")
    add_custom_command(OUTPUT ${man_output}
                       COMMAND ${rst2man} ${man_input} ${man_output}
                       DEPENDS ${man_input})
    add_custom_target(man ALL DEPENDS ${man_output})
    install(FILES ${man_output} DESTINATION share/man/man1)
else()
    message(WARNING "rst2man (docutils) not found, disabling man page generation")
endif()

install(FILES dim-screen.sh xdg-screensaver.patch
              transfer-sleep-lock-i3lock.sh transfer-sleep-lock-generic-delay.sh
        DESTINATION share/doc/${PROJECT_NAME})

=== src/CMakeLists.txt ===
include(FindPkgConfig)
pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.32 gio-unix-2.0)
pkg_check_modules(XCB REQUIRED xcb xcb-event xcb-screensaver)
include_directories(${GLIB2_INCLUDE_DIRS} ${XCB_INCLUDE_DIRS})
link_directories(${GLIB2_LIBRARY_DIRS} ${XCB_LIBRARY_DIRS})

if(XCB_xcb_VERSION VERSION_LESS 1.8)
    set(XCB_POLL_FOR_QUEUED_EVENT 0)
else()
    set(XCB_POLL_FOR_QUEUED_EVENT 1)
endif()

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(xss-lock
    xss-lock.c
    xcb_utils.c
    xcb_utils.h
    config.h
)

target_link_libraries(xss-lock ${GLIB2_LIBRARIES} ${XCB_LIBRARIES})

install(TARGETS xss-lock DESTINATION bin)

=== debian/changelog ===
xss-lock (0.3.0-10) unstable; urgency=medium

  * Do not core dump after losing X11 connection. Thanks to Tomáš Janoušek for
    the initial patch. (Closes: #955209) 

 -- Ian Campbell <ijc@debian.org>  Sun, 29 Mar 2020 18:29:20 +0800

xss-lock (0.3.0-9) unstable; urgency=medium

  * Bump standards version to 4.5.0, no changes required
  * Move zsh completions to the correct place. (Closes: #950304)
  * Remove gbp.conf from source tree, will be using dgit from now on.

 -- Ian Campbell <ijc@debian.org>  Sun, 15 Mar 2020 15:44:34 +0800

xss-lock (0.3.0-8) unstable; urgency=medium

  * Use python3-docutils rather than Python 2's (Closes: #943297).
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Ian Campbell <ijc@debian.org>  Mon, 11 Nov 2019 21:09:59 +0800

xss-lock (0.3.0-7) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0, no changes required.
  * Switch to debhelper compat level 12, using the new debhelper-compat
    dependency instead of debian/compat. No other changes required.
  * Specify Rules-Requires-Root: no.

 -- Ian Campbell <ijc@debian.org>  Sat, 05 Jan 2019 12:07:33 +0000

xss-lock (0.3.0-6) unstable; urgency=medium

  * Apply patch from Teemu Ikonen to remove non-working xdg patch from
    /usr/share/doc/xss-lock/ and update documentation (Closes: #914778).
  * Apply several patches from https://github.com/tpikonen/xss-lock:
    - Adding `--session` option to specify option to use (patch by Antoine
      Damhet).
    - Send SIGHUP to notifier if screensaver was disabled before starting
      locker, continue to send SIGTERM to notifier when locker is engaged).
      (patch by Teemu Ikonen).
    - Skip running notifier if cycle time is 0 (patch by Teemu Ikonen)
      (Closes: #914544).

 -- Ian Campbell <ijc@debian.org>  Sat, 15 Dec 2018 19:42:20 +0000

xss-lock (0.3.0-5) unstable; urgency=medium

  * Regularise and update debian/{control,copyright} using CME.
  * Update standards version, no changes required.

 -- Ian Campbell <ijc@debian.org>  Thu, 10 May 2018 06:31:52 +0100

xss-lock (0.3.0-4) unstable; urgency=medium

  * Updated Watch file
  * Update standard version, no changes required.

 -- Ian Campbell <ijc@debian.org>  Sun, 30 Oct 2016 13:35:41 +0000

xss-lock (0.3.0-3) unstable; urgency=medium

  * Documentation updates:
    - Correction to xset examples in xss-lock(1).
    - Explain in xss-lock(1) that the tool should be run from your .xsession or
      similar (Closes: #830949).

 -- Ian Campbell <ijc@debian.org>  Sun, 21 Aug 2016 13:02:31 +0100

xss-lock (0.3.0-2) unstable; urgency=medium

  * Update Vcs-* to point to anonscm.
  * Backport fixes from upstream:
    - exit when X connection dies.
    - use xcb-util provided get_screen function.
    - exit on SIGHUP (Closes: #783725).
    - use event structure from xcb when it is available.
  * Update to standards-version 3.9.6, no changes required.

 -- Ian Campbell <ijc@debian.org>  Mon, 04 May 2015 18:30:15 +0100

xss-lock (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #761035)

 -- Ian Campbell <ijc@debian.org>  Fri, 12 Sep 2014 08:41:34 +0100

=== debian/control ===
Source: xss-lock
Maintainer: Ian Campbell <ijc@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libglib2.0-dev,
               libxcb1-dev,
               libxcb-util0-dev,
               libxcb-screensaver0-dev,
               python3-docutils
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/xss-lock
Vcs-Git: https://salsa.debian.org/debian/xss-lock.git
Homepage: https://bitbucket.org/raymonad/xss-lock
Rules-Requires-Root: no

Package: xss-lock
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: invoke external screen lock in response to XScreenSaver events
 Utility to listen for XScreenSaver (XSS) and login manager events and call
 out to an external screen locker in order to lock the screen.

=== debian/watch ===
version=2
https://bitbucket.org/raymonad/xss-lock/downloads?tab=tags .*/v(\d\S*)\.tar\.gz

## xss-lock 0.3.0+git20220214.adafe4

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include(FindPkgConfig)
 pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.32 gio-unix-2.0)
-pkg_check_modules(XCB REQUIRED xcb xcb-event xcb-screensaver)
+pkg_check_modules(XCB REQUIRED xcb xcb-aux xcb-event xcb-screensaver)
 include_directories(${GLIB2_INCLUDE_DIRS} ${XCB_INCLUDE_DIRS})
 link_directories(${GLIB2_LIBRARY_DIRS} ${XCB_LIBRARY_DIRS})
 
@@ -8,6 +8,12 @@
     set(XCB_POLL_FOR_QUEUED_EVENT 0)
 else()
     set(XCB_POLL_FOR_QUEUED_EVENT 1)
+
+    if(XCB_xcb_VERSION VERSION_LESS 1.10)
+        set(XCB_SCREENSAVER_NOTIFY_EVENT_T_BROKEN 1)
+    else()
+        set(XCB_SCREENSAVER_NOTIFY_EVENT_T_BROKEN 0)
+    endif()
 endif()
 
 configure_file(config.h.in config.h)

## xss-lock 0.3.0+git20250914.6251a7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.10)
 project(xss-lock C)
 set(PROJECT_VERSION 0.3.0)

## xss-lock 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.10)
 project(xss-lock C)
-set(PROJECT_VERSION 0.3.0)
+set(PROJECT_VERSION 0.4.0)
 
 install(FILES NEWS DESTINATION share/doc/${PROJECT_NAME})

=== completion/CMakeLists.txt ===
install(FILES xss-lock.zsh DESTINATION share/zsh/site-functions
        RENAME _xss-lock)
install(FILES xss-lock.bash DESTINATION share/bash-completion/completions
        RENAME xss-lock)

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
     message(WARNING "rst2man (docutils) not found, disabling man page generation")
 endif()
 
-install(FILES dim-screen.sh xdg-screensaver.patch
+install(FILES dim-screen.sh dim-screen2.sh xdg-screensaver.patch
               transfer-sleep-lock-i3lock.sh transfer-sleep-lock-generic-delay.sh
+              xss-lock.service
         DESTINATION share/doc/${PROJECT_NAME})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
     xss-lock.c
     xcb_utils.c
     xcb_utils.h
-    config.h
+    ${CMAKE_CURRENT_BINARY_DIR}/config.h
 )
 
 target_link_libraries(xss-lock ${GLIB2_LIBRARIES} ${XCB_LIBRARIES})
